/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.BwSbRkCkTwo;
import com.tofly.watermeter.entity.Bwckdatail;

/**
 * 水表出库批次记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwckdatailService extends IService<Bwckdatail> {

//    boolean insertCk(List<Bwckdatail> ckList);

    boolean insertCkTwo(BwSbRkCkTwo sbck);
//    boolean updateCk(List<BwSbCk> sbCkList);

    void updateGdZt(String gdbh,String val);

    String getGdbh(Long gdId);

    boolean appCk(String sbbh);

    String ckPrefix(Long cjId);


}
